package com.yidian.shenghuoquan.newscontent.bean

data class ThumbUpBean(
    var docId:String?=null,
    var isUp:Boolean = false,
    var count:Int = 0
) {

    fun clone(): ThumbUpBean {
       return ThumbUpBean(docId, isUp, count)
    }

    fun copyData(bean: ThumbUpBean){
        this.docId = bean.docId
        this.isUp = bean.isUp
        this.count = bean.count
    }
     fun dataEquals(bean: ThumbUpBean?):Boolean{
        if (bean == null) return false
        return bean.docId == docId && bean.count == count && bean.isUp == isUp
    }

}